Bug 23206 - (SCSI AIC7XXX)Kernel: SCSI CMDCMPLT Errors
(SCSI AIC7XXX)Kernel: SCSI CMDCMPLT Errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-02 22:53 EST by Ron Colcernian
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ron Colcernian 2001-01-02 22:53:04 EST
I am receiving the following error in the messages file (see log file
sample).

The system will lock up at the console, yet I can ping the system, but
cannot
telnet into the system. My only remedy is to reboot.  This event occurs at
least 3 times
per day, both when the system is under load and when nothing is running
(other than
the installed daemons).

Below are some samples of the log file in addition to a description of my
hardware.

Log File Samples:

Dec 24 11:02:08 multi6 kernel: (scsi0:-1:-1:-1) CMDCMPLT without command
for SCB 7, SCB flags 0x0, cmd 0x0

Dec 27 19:21:55 multi6 kernel: (scsi0:-1:-1:-1) CMDCMPLT without command
for SCB 1, SCB flags 0x0, cmd 0x0

Dec 28 12:27:39 multi6 kernel: (scsi0:-1:-1:-1) CMDCMPLT without command
for SCB 1, SCB flags 0x0, cmd 0x0
Dec 28 12:28:09 multi6 kernel: scsi : aborting command due to timeout : pid
729081, scsi0, channel 0, id 5, lun 0 Read TOC 00 00 00 00 00 00 00 0c 40

As an interesting observation that might be related to this problem, is
during tape backups.
During a tape backup I will notice that the tape drive makes a sound
(approximately every
15 minutes, but not every 15 minutes). This sould is like the tape is
unloading (but does not).
DAT tape drives typically make no noticeable sound while running, yet this
sound is very pronounced. I have clearly observed, while watching xosview,
that during
the sound which lasts maybe 3 seconds that the disk drive activity
(presumably the
activity of fetching files to send to the tape drive) will stop for this
period of time, and
then resume and the tape continues to be written. (Yes, I can have been
able to retrieve
data from the tape, in all cases tested.).


The hardware configuration:
Motherboard: Super Micro, 0913001030 SUPER 370DL3/370DLW BIOS R1.2A
It is a dual processor motherboard with a single 800mhz processor.

512 mb ECC RAM

Adaptec 29160 SCSI Controller, installed in a 64bit PCI slot

2 SCSI Hard Drives, 18.0gb IBM DDYS-T18350N, SCSI ID's: 0 and 1
1 SCSI CDROM NEC, SCSI ID 3
1 SCSI HP C1537A Tape Drive, SCSI ID 3

PCI Video Board, ATI Mach64 3D RAGE II

ISA Modem

Runing RAID 1, mirroring all of the partitions on SCSI 0 to SCSI 1, this
mirroring includes the /boot, /, swap,  and 3 other partitions.


The only solution to the problem that I have used is to install a second
29160 controller
and put the Tape Drive and CDROM on the second controller while leaving the
two IBM hard drives on the first controller. (The second controller is
installed in
a 32 Bit PCI slot). This solution is not desireable due to the cost of the
second
controller. When the system has both controllers this SCSI message does not
happen, and
the systems have not crashed or locked up.

I have tested both the failure and solution on two identical machines, with
exactly the
same results.  I have tested the failing configuration with three different
29160 controller cards, each of these exhibiting the same failure.

Yourhelp will be greatly appreciated.
Ron Colcernian
Comment 1 Bugzilla owner 2004-09-30 11:38:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.